TakenAt: 2024-04-06T21:16:52Z
TakenAtLocal: 2024-04-06T22:16:52Z
TakenSrc: meta
UID: pt67x3s5ddf97q41
Type: image
Title: Recents / 2024
TimeZone: UTC+1
Year: 2024
Month: 4
Day: 6
Quality: 2
Faces: 1
Details:
  Keywords: blue, building, portrait, recents
CreatedAt: 2025-11-24T06:38:16Z
UpdatedAt: 2025-11-24T09:28:51Z
